Processes
List all process step changes
Returns a paginated list of all process step changes (most recently added first)
GET
/
step
List all process step changes
curl --request GET \
--url https://jobaffinity.fr/restapi/v1/step \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://jobaffinity.fr/restapi/v1/step"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://jobaffinity.fr/restapi/v1/step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_self": "<string>",
"_schema": "<string>",
"_next": "<string>",
"items": [
{
"change_id": 123,
"date": "2023-12-25",
"id": 123,
"name": "<string>",
"user": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
},
"application": {
"_self": "<string>",
"id": 123,
"route": "<string>",
"date": "2023-11-07T05:31:56Z",
"candidate": {
"_self": "<string>",
"applications": {
"_self": "<string>"
},
"id": 123,
"title": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
},
"job": {
"_self": "<string>",
"applications": {
"_self": "<string>"
},
"id": 123,
"title": "<string>",
"status": "<string>"
},
"source": {
"id": 123,
"name": "<string>",
"posting_service": {
"id": 123,
"name": "<string>"
}
},
"step": {
"name": "<string>",
"status": "<string>",
"id": 123,
"date": "2023-12-25"
},
"latest_cv_url": "<string>"
}
}
]
}Authorizations
HTTP Basic Authentication with API credentials
Query Parameters
Maximum number of items to return per page
Required range:
1 <= x <= 100Return items created or modified since this ID
Required range:
x >= 0Filter by candidate email
Filter by job reference
Filter by step status
Available options:
START, CURRENT, END Filter by step name
⌘I
List all process step changes
